{
  description = "System configuration for panacea";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    agenix.url = "github:ryantm/agenix";
    agenix.inputs.nixpkgs.follows = "nixpkgs";
    emacs-overlay.url = "github:nix-community/emacs-overlay";
    openconnect-sso = {
      url = "github:vlaci/openconnect-sso";
      flake = false;
    };
  };

  outputs = { self, nixpkgs, agenix, ... }@inputs:
    let
      system = "x86_64-linux";

      pkgs = import pkgs {
        inherit system;
        config.allowUnfree = true;
      };

      lib = nixpkgs.lib;

    in {
      nixosConfigurations.panacea = lib.nixosSystem {
        inherit system;
        modules = [ (import ./configuration.nix) agenix.nixosModules.age ];
        specialArgs = { inherit inputs; };
      };

    };
}
