{ config, lib, pkgs, ... }:

{
  # Improve nix-shell and direnv integration
  environment.pathsToLink = [ "/share/nix-direnv" ];

  # Enable virtualisation
  virtualisation.libvirtd = {
    enable = false;
    onBoot = "ignore";
    onShutdown = "shutdown";
    qemuPackage = pkgs.qemu_kvm;
  };

  # Set up podman
  virtualisation.podman = {
    enable = true;
    dockerCompat = true;
  };
}
